<?xml version="1.0" encoding="UTF-8"?>
<sequence xmlns="http://ws.apache.org/ns/synapse" name="pagequery_alipay_r12_getSign_seq" onError="pagequery_alipay_r12_onError_seq">
    <property name="SLT_INTEGRATION_STEP" value="pagequery_alipay_r12_getSign_seq" scope="default" type="STRING"/>
    <sequence key="pagequery_alipay_r12_standard_logging_seq"/>
    <payloadFactory media-type="xml">
        <format>
            <soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/">
                <soapenv:Body>
                    <gateway.do>
                        <page_no>$1</page_no>
                        <service>$2</service>
                        <page_size>$3</page_size>
                        <logon_id>$4</logon_id>
                        <partner>$5</partner>
                        <gmt_end_time>$6</gmt_end_time>
                        <sendFormat>$7</sendFormat>
                        <gmt_start_time>$8</gmt_start_time>
                        <sign>$9</sign>
                    </gateway.do>
                </soapenv:Body>
            </soapenv:Envelope>
        </format>
        <args>
            <arg evaluator="xml" expression="get-property('page_no')"/>
            <arg evaluator="xml" expression="get-property('service')"/>
            <arg evaluator="xml" expression="get-property('page_size')"/>
            <arg evaluator="xml" expression="get-property('logon_id')"/>
            <arg evaluator="xml" expression="get-property('partner')"/>
            <arg evaluator="xml" expression="get-property('gmt_end_time')"/>
            <arg evaluator="xml" expression="get-property('sendFormat')"/>
            <arg evaluator="xml" expression="get-property('gmt_start_time')"/>
            <arg evaluator="xml" expression="get-property('sign')"/>
        </args>
    </payloadFactory>
    <property name="messageType" value="application/x-www-form-urlencoded" scope="axis2" type="STRING"/>
    <call>
        <endpoint key="gov:/alipayTest_EP"/>
    </call>
</sequence>
